#ifdef __cplusplus
extern "C" { 
#endif 

#undef ROOT_TYPE_DECLARATION 
#define ROOT_TYPE_DECLARATION(Type) \
typedef struct Type ##_tag Type ## _t; \
typedef Type ## _t * Type ## _p; \
typedef Type ## _t const* const_ ## Type ## _p 



#undef ROOT_TOBJECT_DECLARATIONVIRT
#define ROOT_TOBJECT_DECLARATIONVIRT(Type) \
const char * Type ## _GetName ( Type ## _p p ); \
void Type ## _Draw ( Type ## _p p, const char * option ); \
void Type ## _SaveAs ( Type ## _p p, const char * filename, const char * option ); \
int  Type ## _Write ( Type ## _p p, const char * name, int  option, int  bufsize )

#undef ROOT_TNAMED_DECLARATIONVIRT
#define ROOT_TNAMED_DECLARATIONVIRT(Type) \
void Type ## _SetTitle ( Type ## _p p, const char * name )

#undef ROOT_TFORMULA_DECLARATIONVIRT
#define ROOT_TFORMULA_DECLARATIONVIRT(Type) \
double Type ## _GetParameter ( Type ## _p p, int  idx ); \
void Type ## _SetParameter ( Type ## _p p, int  idx, double value )

#undef ROOT_TATT3D_DECLARATIONVIRT
#define ROOT_TATT3D_DECLARATIONVIRT(Type) \


#undef ROOT_TATTAXIS_DECLARATIONVIRT
#define ROOT_TATTAXIS_DECLARATIONVIRT(Type) \
void Type ## _SetLabelColor ( Type ## _p p, int  color ); \
void Type ## _SetLabelSize ( Type ## _p p, double size ); \
void Type ## _SetTickLength ( Type ## _p p, double length ); \
void Type ## _SetTitleOffset ( Type ## _p p, double offset ); \
void Type ## _SetNdivisions ( Type ## _p p, int  n, int optim )

#undef ROOT_TATTBBOX_DECLARATIONVIRT
#define ROOT_TATTBBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TATTCANVAS_DECLARATIONVIRT
#define ROOT_TATTCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TATTFILL_DECLARATIONVIRT
#define ROOT_TATTFILL_DECLARATIONVIRT(Type) \
void Type ## _SetFillColor ( Type ## _p p, int  color ); \
void Type ## _SetFillStyle ( Type ## _p p, int  style )

#undef ROOT_TATTIMAGE_DECLARATIONVIRT
#define ROOT_TATTIMAGE_DECLARATIONVIRT(Type) \


#undef ROOT_TATTLINE_DECLARATIONVIRT
#define ROOT_TATTLINE_DECLARATIONVIRT(Type) \
void Type ## _SetLineColor ( Type ## _p p, int  color )

#undef ROOT_TATTMARKER_DECLARATIONVIRT
#define ROOT_TATTMARKER_DECLARATIONVIRT(Type) \


#undef ROOT_TATTPAD_DECLARATIONVIRT
#define ROOT_TATTPAD_DECLARATIONVIRT(Type) \


#undef ROOT_TATTPARTICLE_DECLARATIONVIRT
#define ROOT_TATTPARTICLE_DECLARATIONVIRT(Type) \


#undef ROOT_TATTTEXT_DECLARATIONVIRT
#define ROOT_TATTTEXT_DECLARATIONVIRT(Type) \
void Type ## _SetTextColor ( Type ## _p p, int  tcolor ); \
void Type ## _SetTextAlign ( Type ## _p p, int  align ); \
void Type ## _SetTextSize ( Type ## _p p, double tsize )

#undef ROOT_THSTACK_DECLARATIONVIRT
#define ROOT_THSTACK_DECLARATIONVIRT(Type) \


#undef ROOT_TF1_DECLARATIONVIRT
#define ROOT_TF1_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPH_DECLARATIONVIRT
#define ROOT_TGRAPH_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TCUTG_DECLARATIONVIRT
#define ROOT_TCUTG_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHPOLAR_DECLARATIONVIRT
#define ROOT_TGRAPHPOLAR_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHQQ_DECLARATIONVIRT
#define ROOT_TGRAPHQQ_DECLARATIONVIRT(Type) \


#undef ROOT_TELLIPSE_DECLARATIONVIRT
#define ROOT_TELLIPSE_DECLARATIONVIRT(Type) \


#undef ROOT_TARC_DECLARATIONVIRT
#define ROOT_TARC_DECLARATIONVIRT(Type) \


#undef ROOT_TCROWN_DECLARATIONVIRT
#define ROOT_TCROWN_DECLARATIONVIRT(Type) \


#undef ROOT_TLINE_DECLARATIONVIRT
#define ROOT_TLINE_DECLARATIONVIRT(Type) \


#undef ROOT_TARROW_DECLARATIONVIRT
#define ROOT_TARROW_DECLARATIONVIRT(Type) \


#undef ROOT_TGAXIS_DECLARATIONVIRT
#define ROOT_TGAXIS_DECLARATIONVIRT(Type) \


#undef ROOT_TSHAPE_DECLARATIONVIRT
#define ROOT_TSHAPE_DECLARATIONVIRT(Type) \


#undef ROOT_TBRIK_DECLARATIONVIRT
#define ROOT_TBRIK_DECLARATIONVIRT(Type) \


#undef ROOT_TTUBE_DECLARATIONVIRT
#define ROOT_TTUBE_DECLARATIONVIRT(Type) \


#undef ROOT_TPCON_DECLARATIONVIRT
#define ROOT_TPCON_DECLARATIONVIRT(Type) \


#undef ROOT_TSPHE_DECLARATIONVIRT
#define ROOT_TSPHE_DECLARATIONVIRT(Type) \


#undef ROOT_TXTRU_DECLARATIONVIRT
#define ROOT_TXTRU_DECLARATIONVIRT(Type) \


#undef ROOT_TBOX_DECLARATIONVIRT
#define ROOT_TBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVE_DECLARATIONVIRT
#define ROOT_TPAVE_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVETEXT_DECLARATIONVIRT
#define ROOT_TPAVETEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TDIAMOND_DECLARATIONVIRT
#define ROOT_TDIAMOND_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVESTATS_DECLARATIONVIRT
#define ROOT_TPAVESTATS_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVESTEXT_DECLARATIONVIRT
#define ROOT_TPAVESTEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TLEGEND_DECLARATIONVIRT
#define ROOT_TLEGEND_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVELABEL_DECLARATIONVIRT
#define ROOT_TPAVELABEL_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVECLASS_DECLARATIONVIRT
#define ROOT_TPAVECLASS_DECLARATIONVIRT(Type) \


#undef ROOT_TWBOX_DECLARATIONVIRT
#define ROOT_TWBOX_DECLARATIONVIRT(Type) \
void Type ## _SetBorderMode ( Type ## _p p, int  bordermode )

#undef ROOT_TFRAME_DECLARATIONVIRT
#define ROOT_TFRAME_DECLARATIONVIRT(Type) \


#undef ROOT_TSLIDERBOX_DECLARATIONVIRT
#define ROOT_TSLIDERBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TTREE_DECLARATIONVIRT
#define ROOT_TTREE_DECLARATIONVIRT(Type) \


#undef ROOT_TCHAIN_DECLARATIONVIRT
#define ROOT_TCHAIN_DECLARATIONVIRT(Type) \


#undef ROOT_TNTUPLE_DECLARATIONVIRT
#define ROOT_TNTUPLE_DECLARATIONVIRT(Type) \


#undef ROOT_TNTUPLED_DECLARATIONVIRT
#define ROOT_TNTUPLED_DECLARATIONVIRT(Type) \


#undef ROOT_TTREESQL_DECLARATIONVIRT
#define ROOT_TTREESQL_DECLARATIONVIRT(Type) \


#undef ROOT_TPOLYLINE_DECLARATIONVIRT
#define ROOT_TPOLYLINE_DECLARATIONVIRT(Type) \


#undef ROOT_TCURLYLINE_DECLARATIONVIRT
#define ROOT_TCURLYLINE_DECLARATIONVIRT(Type) \


#undef ROOT_TCURLYARC_DECLARATIONVIRT
#define ROOT_TCURLYARC_DECLARATIONVIRT(Type) \


#undef ROOT_TEFFICIENCY_DECLARATIONVIRT
#define ROOT_TEFFICIENCY_DECLARATIONVIRT(Type) \


#undef ROOT_TAXIS_DECLARATIONVIRT
#define ROOT_TAXIS_DECLARATIONVIRT(Type) \


#undef ROOT_TLATEX_DECLARATIONVIRT
#define ROOT_TLATEX_DECLARATIONVIRT(Type) \


#undef ROOT_TTEXT_DECLARATIONVIRT
#define ROOT_TTEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TDIRECTORY_DECLARATIONVIRT
#define ROOT_TDIRECTORY_DECLARATIONVIRT(Type) \
void Type ## _Close ( Type ## _p p, const char * option )

#undef ROOT_TDIRECTORYFILE_DECLARATIONVIRT
#define ROOT_TDIRECTORYFILE_DECLARATIONVIRT(Type) \


#undef ROOT_TFILE_DECLARATIONVIRT
#define ROOT_TFILE_DECLARATIONVIRT(Type) \


#undef ROOT_TBRANCH_DECLARATIONVIRT
#define ROOT_TBRANCH_DECLARATIONVIRT(Type) \


#undef ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT
#define ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(Type) \


#undef ROOT_TTREEPLAYER_DECLARATIONVIRT
#define ROOT_TTREEPLAYER_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAY_DECLARATIONVIRT
#define ROOT_TARRAY_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYC_DECLARATIONVIRT
#define ROOT_TARRAYC_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYD_DECLARATIONVIRT
#define ROOT_TARRAYD_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYF_DECLARATIONVIRT
#define ROOT_TARRAYF_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYI_DECLARATIONVIRT
#define ROOT_TARRAYI_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYL_DECLARATIONVIRT
#define ROOT_TARRAYL_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYL64_DECLARATIONVIRT
#define ROOT_TARRAYL64_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYS_DECLARATIONVIRT
#define ROOT_TARRAYS_DECLARATIONVIRT(Type) \


#undef ROOT_TH1_DECLARATIONVIRT
#define ROOT_TH1_DECLARATIONVIRT(Type) \
TAxis_p Type ## _GetXaxis ( Type ## _p p ); \
TAxis_p Type ## _GetYaxis ( Type ## _p p ); \
TAxis_p Type ## _GetZaxis ( Type ## _p p ); \
void Type ## _Add ( Type ## _p p, TH1_p h1, double c1 ); \
int  Type ## _fill1 ( Type ## _p p, double x )

#undef ROOT_TH2_DECLARATIONVIRT
#define ROOT_TH2_DECLARATIONVIRT(Type) \
int  Type ## _fill2 ( Type ## _p p, double x, double y )

#undef ROOT_TH3_DECLARATIONVIRT
#define ROOT_TH3_DECLARATIONVIRT(Type) \


#undef ROOT_TH1C_DECLARATIONVIRT
#define ROOT_TH1C_DECLARATIONVIRT(Type) \


#undef ROOT_TH1D_DECLARATIONVIRT
#define ROOT_TH1D_DECLARATIONVIRT(Type) \


#undef ROOT_TH1F_DECLARATIONVIRT
#define ROOT_TH1F_DECLARATIONVIRT(Type) \


#undef ROOT_TH1I_DECLARATIONVIRT
#define ROOT_TH1I_DECLARATIONVIRT(Type) \


#undef ROOT_TH1S_DECLARATIONVIRT
#define ROOT_TH1S_DECLARATIONVIRT(Type) \


#undef ROOT_TH2C_DECLARATIONVIRT
#define ROOT_TH2C_DECLARATIONVIRT(Type) \


#undef ROOT_TH2D_DECLARATIONVIRT
#define ROOT_TH2D_DECLARATIONVIRT(Type) \


#undef ROOT_TH2F_DECLARATIONVIRT
#define ROOT_TH2F_DECLARATIONVIRT(Type) \


#undef ROOT_TH2I_DECLARATIONVIRT
#define ROOT_TH2I_DECLARATIONVIRT(Type) \


#undef ROOT_TH2POLY_DECLARATIONVIRT
#define ROOT_TH2POLY_DECLARATIONVIRT(Type) \


#undef ROOT_TH2S_DECLARATIONVIRT
#define ROOT_TH2S_DECLARATIONVIRT(Type) \


#undef ROOT_TH3C_DECLARATIONVIRT
#define ROOT_TH3C_DECLARATIONVIRT(Type) \


#undef ROOT_TH3D_DECLARATIONVIRT
#define ROOT_TH3D_DECLARATIONVIRT(Type) \


#undef ROOT_TH3F_DECLARATIONVIRT
#define ROOT_TH3F_DECLARATIONVIRT(Type) \


#undef ROOT_TH3I_DECLARATIONVIRT
#define ROOT_TH3I_DECLARATIONVIRT(Type) \


#undef ROOT_TH3S_DECLARATIONVIRT
#define ROOT_TH3S_DECLARATIONVIRT(Type) \


#undef ROOT_TQOBJECT_DECLARATIONVIRT
#define ROOT_TQOBJECT_DECLARATIONVIRT(Type) \


#undef ROOT_TVIRTUALPAD_DECLARATIONVIRT
#define ROOT_TVIRTUALPAD_DECLARATIONVIRT(Type) \
TFrame_p Type ## _GetFrame ( Type ## _p p ); \
void Type ## _Range ( Type ## _p p, double x1, double y1, double x2, double y2 )

#undef ROOT_TPAD_DECLARATIONVIRT
#define ROOT_TPAD_DECLARATIONVIRT(Type) \


#undef ROOT_TBUTTON_DECLARATIONVIRT
#define ROOT_TBUTTON_DECLARATIONVIRT(Type) \


#undef ROOT_TGROUPBUTTON_DECLARATIONVIRT
#define ROOT_TGROUPBUTTON_DECLARATIONVIRT(Type) \


#undef ROOT_TCANVAS_DECLARATIONVIRT
#define ROOT_TCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TDIALOGCANVAS_DECLARATIONVIRT
#define ROOT_TDIALOGCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TINSPECTCANVAS_DECLARATIONVIRT
#define ROOT_TINSPECTCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TEVEPAD_DECLARATIONVIRT
#define ROOT_TEVEPAD_DECLARATIONVIRT(Type) \


#undef ROOT_TSLIDER_DECLARATIONVIRT
#define ROOT_TSLIDER_DECLARATIONVIRT(Type) \


#undef ROOT_TAPPLICATION_DECLARATIONVIRT
#define ROOT_TAPPLICATION_DECLARATIONVIRT(Type) \
void Type ## _Run ( Type ## _p p, int retrn )

#undef ROOT_TRINT_DECLARATIONVIRT
#define ROOT_TRINT_DECLARATIONVIRT(Type) \


#undef ROOT_TOBJECT_DECLARATIONNONVIRT
#define ROOT_TOBJECT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTObject (  ); \

#undef ROOT_TNAMED_DECLARATIONNONVIRT
#define ROOT_TNAMED_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNamed ( const char * name, const char * title ); \

#undef ROOT_TFORMULA_DECLARATIONNONVIRT
#define ROOT_TFORMULA_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFormula ( const char * name, const char * formula ); \

#undef ROOT_TATT3D_DECLARATIONNONVIRT
#define ROOT_TATT3D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTAXIS_DECLARATIONNONVIRT
#define ROOT_TATTAXIS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttAxis (  ); \

#undef ROOT_TATTBBOX_DECLARATIONNONVIRT
#define ROOT_TATTBBOX_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTCANVAS_DECLARATIONNONVIRT
#define ROOT_TATTCANVAS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttCanvas (  ); \

#undef ROOT_TATTFILL_DECLARATIONNONVIRT
#define ROOT_TATTFILL_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttFill ( int  fcolor, int  fstyle ); \

#undef ROOT_TATTIMAGE_DECLARATIONNONVIRT
#define ROOT_TATTIMAGE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTLINE_DECLARATIONNONVIRT
#define ROOT_TATTLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttLine ( int  lcolor, int  lstyle, int  lwidth ); \

#undef ROOT_TATTMARKER_DECLARATIONNONVIRT
#define ROOT_TATTMARKER_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttMarker ( int  color, int  style, int  msize ); \

#undef ROOT_TATTPAD_DECLARATIONNONVIRT
#define ROOT_TATTPAD_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttPad (  ); \

#undef ROOT_TATTPARTICLE_DECLARATIONNONVIRT
#define ROOT_TATTPARTICLE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTTEXT_DECLARATIONNONVIRT
#define ROOT_TATTTEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttText ( int  align, double angle, int  color, int  font, double tsize ); \

#undef ROOT_THSTACK_DECLARATIONNONVIRT
#define ROOT_THSTACK_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTHStack ( const char * name, const char * title ); \

#undef ROOT_TF1_DECLARATIONNONVIRT
#define ROOT_TF1_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTF1 ( const char * name, const char * formula, double xmin, double xmax ); \

#undef ROOT_TGRAPH_DECLARATIONNONVIRT
#define ROOT_TGRAPH_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraph ( int  n, double * x, double * y ); \

#undef ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphAsymmErrors ( int  n, double * x, double * y, double * exl, double * exh, double * eyl, double * eyh ); \

#undef ROOT_TCUTG_DECLARATIONNONVIRT
#define ROOT_TCUTG_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCutG ( const char * name, int  n, double * x, double * y ); \

#undef ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphBentErrors ( int  n, double * x, double * y, double * exl, double * exh, double * eyl, double * eyh, double * exld, double * exhd, double * eyld, double * eyhd ); \

#undef ROOT_TGRAPHERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphErrors ( int  n, double * x, double * y, double * ex, double * ey ); \

#undef ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT
#define ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphPolar ( int  n, double * x, double * y, double * ex, double * ey ); \

#undef ROOT_TGRAPHQQ_DECLARATIONNONVIRT
#define ROOT_TGRAPHQQ_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphQQ ( int  nx, double * x, int  ny, double * y ); \

#undef ROOT_TELLIPSE_DECLARATIONNONVIRT
#define ROOT_TELLIPSE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTEllipse ( double x1, double y1, double r1, double r2, double phimin, double phimax, double theta )
#undef ROOT_TARC_DECLARATIONNONVIRT
#define ROOT_TARC_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTArc ( double x1, double y1, double radius, double phimin, double phimax ); \

#undef ROOT_TCROWN_DECLARATIONNONVIRT
#define ROOT_TCROWN_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCrown ( double x1, double y1, double radin, double radout, double phimin, double phimax ); \

#undef ROOT_TLINE_DECLARATIONNONVIRT
#define ROOT_TLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLine ( double x1, double y1, double x2, double y2 ); \

#undef ROOT_TARROW_DECLARATIONNONVIRT
#define ROOT_TARROW_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTArrow ( double x1, double y1, double x2, double y2, double arrowsize, const char * option ); \

#undef ROOT_TGAXIS_DECLARATIONNONVIRT
#define ROOT_TGAXIS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGaxis ( double xmin, double ymin, double xmax, double ymax, double wmin, double wmax, int  ndiv, const char * chopt, double gridlength ); \

#undef ROOT_TSHAPE_DECLARATIONNONVIRT
#define ROOT_TSHAPE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTShape ( const char * name, const char * title, const char * material ); \

#undef ROOT_TBRIK_DECLARATIONNONVIRT
#define ROOT_TBRIK_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTBRIK ( const char * name, const char * title, const char * material, double dx, double dy, double dz ); \

#undef ROOT_TTUBE_DECLARATIONNONVIRT
#define ROOT_TTUBE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTTUBE ( const char * name, const char * title, const char * material, double rmin, double rmax, double dz, double aspect ); \

#undef ROOT_TPCON_DECLARATIONNONVIRT
#define ROOT_TPCON_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPCON ( const char * name, const char * title, const char * material, double phi1, double dphi1, int  nz ); \

#undef ROOT_TSPHE_DECLARATIONNONVIRT
#define ROOT_TSPHE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTSPHE ( const char * name, const char * title, const char * material, double rmin, double rmax, double themin, double themax, double phimin, double phimax ); \

#undef ROOT_TXTRU_DECLARATIONNONVIRT
#define ROOT_TXTRU_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTXTRU ( const char * name, const char * title, const char * material, int  nyx, int  nz ); \

#undef ROOT_TBOX_DECLARATIONNONVIRT
#define ROOT_TBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTBox ( double x1, double y1, double x2, double y2 ); \

#undef ROOT_TPAVE_DECLARATIONNONVIRT
#define ROOT_TPAVE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPave ( double x1, double y1, double x2, double y2, int  bordersize, const char * br ); \

#undef ROOT_TPAVETEXT_DECLARATIONNONVIRT
#define ROOT_TPAVETEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveText ( double x1, double y1, double x2, double y2, const char * br ); \

#undef ROOT_TDIAMOND_DECLARATIONNONVIRT
#define ROOT_TDIAMOND_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTDiamond ( double x1, double y1, double x2, double y2 ); \

#undef ROOT_TPAVESTATS_DECLARATIONNONVIRT
#define ROOT_TPAVESTATS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveStats ( double x1, double y1, double x2, double y2, const char * br ); \

#undef ROOT_TPAVESTEXT_DECLARATIONNONVIRT
#define ROOT_TPAVESTEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPavesText ( double x1, double y1, double x2, double y2, int  npaves, const char * br ); \

#undef ROOT_TLEGEND_DECLARATIONNONVIRT
#define ROOT_TLEGEND_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLegend ( double x1, double y1, double x2, double y2, const char * header, const char * option ); \

#undef ROOT_TPAVELABEL_DECLARATIONNONVIRT
#define ROOT_TPAVELABEL_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveLabel ( double x1, double y1, double x2, double y2, const char * label, const char * option ); \

#undef ROOT_TPAVECLASS_DECLARATIONNONVIRT
#define ROOT_TPAVECLASS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TWBOX_DECLARATIONNONVIRT
#define ROOT_TWBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTWbox ( double x1, double y1, double x2, double y2, int  color, int  bordersize, int  bordermode ); \

#undef ROOT_TFRAME_DECLARATIONNONVIRT
#define ROOT_TFRAME_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFrame ( double x1, double y1, double x2, double y2 ); \

#undef ROOT_TSLIDERBOX_DECLARATIONNONVIRT
#define ROOT_TSLIDERBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTSliderBox ( double x1, double y1, double x2, double y2, int  color, int  bordersize, int  bordermode ); \

#undef ROOT_TTREE_DECLARATIONNONVIRT
#define ROOT_TTREE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTTree ( const char * name, const char * title, int  splitlevel ); \

#undef ROOT_TCHAIN_DECLARATIONNONVIRT
#define ROOT_TCHAIN_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTChain ( const char * name, const char * title ); \

#undef ROOT_TNTUPLE_DECLARATIONNONVIRT
#define ROOT_TNTUPLE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNtuple ( const char * name, const char * title, const char * varlist, int  bufsize ); \

#undef ROOT_TNTUPLED_DECLARATIONNONVIRT
#define ROOT_TNTUPLED_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNtupleD ( const char * name, const char * title, const char * varlist, int  bufsize ); \

#undef ROOT_TTREESQL_DECLARATIONNONVIRT
#define ROOT_TTREESQL_DECLARATIONNONVIRT(Type) \

#undef ROOT_TPOLYLINE_DECLARATIONNONVIRT
#define ROOT_TPOLYLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPolyLine ( int  n, double * x, double * y, const char * option ); \

#undef ROOT_TCURLYLINE_DECLARATIONNONVIRT
#define ROOT_TCURLYLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCurlyLine ( double x1, double y1, double x2, double y2, double wl, double amp ); \

#undef ROOT_TCURLYARC_DECLARATIONNONVIRT
#define ROOT_TCURLYARC_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCurlyArc ( double x1, double y1, double rad, double phimin, double phimax, double wl, double amp ); \

#undef ROOT_TEFFICIENCY_DECLARATIONNONVIRT
#define ROOT_TEFFICIENCY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TAXIS_DECLARATIONNONVIRT
#define ROOT_TAXIS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TLATEX_DECLARATIONNONVIRT
#define ROOT_TLATEX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLatex ( double x, double y, const char * text ); \
Type ## _p Type ## _tLatexDrawLatex ( Type ## _p p, double x, double y, const char * text ); \

#undef ROOT_TTEXT_DECLARATIONNONVIRT
#define ROOT_TTEXT_DECLARATIONNONVIRT(Type) \

#undef ROOT_TDIRECTORY_DECLARATIONNONVIRT
#define ROOT_TDIRECTORY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT
#define ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TFILE_DECLARATIONNONVIRT
#define ROOT_TFILE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFile ( const char * fname, const char * option, const char * ftitle, int  compress ); \

#undef ROOT_TBRANCH_DECLARATIONNONVIRT
#define ROOT_TBRANCH_DECLARATIONNONVIRT(Type) \

#undef ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT
#define ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TTREEPLAYER_DECLARATIONNONVIRT
#define ROOT_TTREEPLAYER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAY_DECLARATIONNONVIRT
#define ROOT_TARRAY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYC_DECLARATIONNONVIRT
#define ROOT_TARRAYC_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYD_DECLARATIONNONVIRT
#define ROOT_TARRAYD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYF_DECLARATIONNONVIRT
#define ROOT_TARRAYF_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYI_DECLARATIONNONVIRT
#define ROOT_TARRAYI_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYL_DECLARATIONNONVIRT
#define ROOT_TARRAYL_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYL64_DECLARATIONNONVIRT
#define ROOT_TARRAYL64_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYS_DECLARATIONNONVIRT
#define ROOT_TARRAYS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1_DECLARATIONNONVIRT
#define ROOT_TH1_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2_DECLARATIONNONVIRT
#define ROOT_TH2_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3_DECLARATIONNONVIRT
#define ROOT_TH3_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1C_DECLARATIONNONVIRT
#define ROOT_TH1C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1D_DECLARATIONNONVIRT
#define ROOT_TH1D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1F_DECLARATIONNONVIRT
#define ROOT_TH1F_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH1F ( const char * name, const char * title, int  nbinsx, double xlow, double xup ); \

#undef ROOT_TH1I_DECLARATIONNONVIRT
#define ROOT_TH1I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1S_DECLARATIONNONVIRT
#define ROOT_TH1S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2C_DECLARATIONNONVIRT
#define ROOT_TH2C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2D_DECLARATIONNONVIRT
#define ROOT_TH2D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2F_DECLARATIONNONVIRT
#define ROOT_TH2F_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH2F ( const char * name, const char * title, int  nbinsx, double xlow, double xup, int  nbinsy, double ylow, double yup ); \

#undef ROOT_TH2I_DECLARATIONNONVIRT
#define ROOT_TH2I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2POLY_DECLARATIONNONVIRT
#define ROOT_TH2POLY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2S_DECLARATIONNONVIRT
#define ROOT_TH2S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3C_DECLARATIONNONVIRT
#define ROOT_TH3C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3D_DECLARATIONNONVIRT
#define ROOT_TH3D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3F_DECLARATIONNONVIRT
#define ROOT_TH3F_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3I_DECLARATIONNONVIRT
#define ROOT_TH3I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3S_DECLARATIONNONVIRT
#define ROOT_TH3S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TQOBJECT_DECLARATIONNONVIRT
#define ROOT_TQOBJECT_DECLARATIONNONVIRT(Type) \

#undef ROOT_TVIRTUALPAD_DECLARATIONNONVIRT
#define ROOT_TVIRTUALPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TPAD_DECLARATIONNONVIRT
#define ROOT_TPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TBUTTON_DECLARATIONNONVIRT
#define ROOT_TBUTTON_DECLARATIONNONVIRT(Type) \

#undef ROOT_TGROUPBUTTON_DECLARATIONNONVIRT
#define ROOT_TGROUPBUTTON_DECLARATIONNONVIRT(Type) \

#undef ROOT_TCANVAS_DECLARATIONNONVIRT
#define ROOT_TCANVAS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCanvas ( const char * name, const char * title, int  ww, int  wh ); \

#undef ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT
#define ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT
#define ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TEVEPAD_DECLARATIONNONVIRT
#define ROOT_TEVEPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TSLIDER_DECLARATIONNONVIRT
#define ROOT_TSLIDER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TAPPLICATION_DECLARATIONNONVIRT
#define ROOT_TAPPLICATION_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTApplication ( const char * appClassName, int * argc, char ** argv )
#undef ROOT_TRINT_DECLARATIONNONVIRT
#define ROOT_TRINT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTRint ( const char * appClassName, int * argc, char ** argv ); \


ROOT_TYPE_DECLARATION(TObject);
ROOT_TYPE_DECLARATION(TNamed);
ROOT_TYPE_DECLARATION(TFormula);
ROOT_TYPE_DECLARATION(TAtt3D);
ROOT_TYPE_DECLARATION(TAttAxis);
ROOT_TYPE_DECLARATION(TAttBBox);
ROOT_TYPE_DECLARATION(TAttCanvas);
ROOT_TYPE_DECLARATION(TAttFill);
ROOT_TYPE_DECLARATION(TAttImage);
ROOT_TYPE_DECLARATION(TAttLine);
ROOT_TYPE_DECLARATION(TAttMarker);
ROOT_TYPE_DECLARATION(TAttPad);
ROOT_TYPE_DECLARATION(TAttParticle);
ROOT_TYPE_DECLARATION(TAttText);
ROOT_TYPE_DECLARATION(THStack);
ROOT_TYPE_DECLARATION(TF1);
ROOT_TYPE_DECLARATION(TGraph);
ROOT_TYPE_DECLARATION(TGraphAsymmErrors);
ROOT_TYPE_DECLARATION(TCutG);
ROOT_TYPE_DECLARATION(TGraphBentErrors);
ROOT_TYPE_DECLARATION(TGraphErrors);
ROOT_TYPE_DECLARATION(TGraphPolar);
ROOT_TYPE_DECLARATION(TGraphQQ);
ROOT_TYPE_DECLARATION(TEllipse);
ROOT_TYPE_DECLARATION(TArc);
ROOT_TYPE_DECLARATION(TCrown);
ROOT_TYPE_DECLARATION(TLine);
ROOT_TYPE_DECLARATION(TArrow);
ROOT_TYPE_DECLARATION(TGaxis);
ROOT_TYPE_DECLARATION(TShape);
ROOT_TYPE_DECLARATION(TBRIK);
ROOT_TYPE_DECLARATION(TTUBE);
ROOT_TYPE_DECLARATION(TPCON);
ROOT_TYPE_DECLARATION(TSPHE);
ROOT_TYPE_DECLARATION(TXTRU);
ROOT_TYPE_DECLARATION(TBox);
ROOT_TYPE_DECLARATION(TPave);
ROOT_TYPE_DECLARATION(TPaveText);
ROOT_TYPE_DECLARATION(TDiamond);
ROOT_TYPE_DECLARATION(TPaveStats);
ROOT_TYPE_DECLARATION(TPavesText);
ROOT_TYPE_DECLARATION(TLegend);
ROOT_TYPE_DECLARATION(TPaveLabel);
ROOT_TYPE_DECLARATION(TPaveClass);
ROOT_TYPE_DECLARATION(TWbox);
ROOT_TYPE_DECLARATION(TFrame);
ROOT_TYPE_DECLARATION(TSliderBox);
ROOT_TYPE_DECLARATION(TTree);
ROOT_TYPE_DECLARATION(TChain);
ROOT_TYPE_DECLARATION(TNtuple);
ROOT_TYPE_DECLARATION(TNtupleD);
ROOT_TYPE_DECLARATION(TTreeSQL);
ROOT_TYPE_DECLARATION(TPolyLine);
ROOT_TYPE_DECLARATION(TCurlyLine);
ROOT_TYPE_DECLARATION(TCurlyArc);
ROOT_TYPE_DECLARATION(TEfficiency);
ROOT_TYPE_DECLARATION(TAxis);
ROOT_TYPE_DECLARATION(TLatex);
ROOT_TYPE_DECLARATION(TText);
ROOT_TYPE_DECLARATION(TDirectory);
ROOT_TYPE_DECLARATION(TDirectoryFile);
ROOT_TYPE_DECLARATION(TFile);
ROOT_TYPE_DECLARATION(TBranch);
ROOT_TYPE_DECLARATION(TVirtualTreePlayer);
ROOT_TYPE_DECLARATION(TTreePlayer);
ROOT_TYPE_DECLARATION(TArray);
ROOT_TYPE_DECLARATION(TArrayC);
ROOT_TYPE_DECLARATION(TArrayD);
ROOT_TYPE_DECLARATION(TArrayF);
ROOT_TYPE_DECLARATION(TArrayI);
ROOT_TYPE_DECLARATION(TArrayL);
ROOT_TYPE_DECLARATION(TArrayL64);
ROOT_TYPE_DECLARATION(TArrayS);
ROOT_TYPE_DECLARATION(TH1);
ROOT_TYPE_DECLARATION(TH2);
ROOT_TYPE_DECLARATION(TH3);
ROOT_TYPE_DECLARATION(TH1C);
ROOT_TYPE_DECLARATION(TH1D);
ROOT_TYPE_DECLARATION(TH1F);
ROOT_TYPE_DECLARATION(TH1I);
ROOT_TYPE_DECLARATION(TH1S);
ROOT_TYPE_DECLARATION(TH2C);
ROOT_TYPE_DECLARATION(TH2D);
ROOT_TYPE_DECLARATION(TH2F);
ROOT_TYPE_DECLARATION(TH2I);
ROOT_TYPE_DECLARATION(TH2Poly);
ROOT_TYPE_DECLARATION(TH2S);
ROOT_TYPE_DECLARATION(TH3C);
ROOT_TYPE_DECLARATION(TH3D);
ROOT_TYPE_DECLARATION(TH3F);
ROOT_TYPE_DECLARATION(TH3I);
ROOT_TYPE_DECLARATION(TH3S);
ROOT_TYPE_DECLARATION(TQObject);
ROOT_TYPE_DECLARATION(TVirtualPad);
ROOT_TYPE_DECLARATION(TPad);
ROOT_TYPE_DECLARATION(TButton);
ROOT_TYPE_DECLARATION(TGroupButton);
ROOT_TYPE_DECLARATION(TCanvas);
ROOT_TYPE_DECLARATION(TDialogCanvas);
ROOT_TYPE_DECLARATION(TInspectCanvas);
ROOT_TYPE_DECLARATION(TEvePad);
ROOT_TYPE_DECLARATION(TSlider);
ROOT_TYPE_DECLARATION(TApplication);
ROOT_TYPE_DECLARATION(TRint);

ROOT_TAPPLICATION_DECLARATIONVIRT(TRint);
ROOT_TAPPLICATION_DECLARATIONVIRT(TApplication);
ROOT_TARC_DECLARATIONVIRT(TArc);
ROOT_TARRAY_DECLARATIONVIRT(TH3S);
ROOT_TARRAY_DECLARATIONVIRT(TH3I);
ROOT_TARRAY_DECLARATIONVIRT(TH3F);
ROOT_TARRAY_DECLARATIONVIRT(TH3D);
ROOT_TARRAY_DECLARATIONVIRT(TH3C);
ROOT_TARRAY_DECLARATIONVIRT(TH2S);
ROOT_TARRAY_DECLARATIONVIRT(TH2I);
ROOT_TARRAY_DECLARATIONVIRT(TH2F);
ROOT_TARRAY_DECLARATIONVIRT(TH2D);
ROOT_TARRAY_DECLARATIONVIRT(TH2C);
ROOT_TARRAY_DECLARATIONVIRT(TH1S);
ROOT_TARRAY_DECLARATIONVIRT(TH1I);
ROOT_TARRAY_DECLARATIONVIRT(TH1F);
ROOT_TARRAY_DECLARATIONVIRT(TH1D);
ROOT_TARRAY_DECLARATIONVIRT(TH1C);
ROOT_TARRAY_DECLARATIONVIRT(TArrayS);
ROOT_TARRAY_DECLARATIONVIRT(TArrayL64);
ROOT_TARRAY_DECLARATIONVIRT(TArrayL);
ROOT_TARRAY_DECLARATIONVIRT(TArrayI);
ROOT_TARRAY_DECLARATIONVIRT(TArrayF);
ROOT_TARRAY_DECLARATIONVIRT(TArrayD);
ROOT_TARRAY_DECLARATIONVIRT(TArrayC);
ROOT_TARRAY_DECLARATIONVIRT(TArray);
ROOT_TARRAYC_DECLARATIONVIRT(TH3C);
ROOT_TARRAYC_DECLARATIONVIRT(TH2C);
ROOT_TARRAYC_DECLARATIONVIRT(TH1C);
ROOT_TARRAYC_DECLARATIONVIRT(TArrayC);
ROOT_TARRAYD_DECLARATIONVIRT(TH3D);
ROOT_TARRAYD_DECLARATIONVIRT(TH2D);
ROOT_TARRAYD_DECLARATIONVIRT(TH1D);
ROOT_TARRAYD_DECLARATIONVIRT(TArrayD);
ROOT_TARRAYF_DECLARATIONVIRT(TH3F);
ROOT_TARRAYF_DECLARATIONVIRT(TH2F);
ROOT_TARRAYF_DECLARATIONVIRT(TH1F);
ROOT_TARRAYF_DECLARATIONVIRT(TArrayF);
ROOT_TARRAYI_DECLARATIONVIRT(TH3I);
ROOT_TARRAYI_DECLARATIONVIRT(TH2I);
ROOT_TARRAYI_DECLARATIONVIRT(TH1I);
ROOT_TARRAYI_DECLARATIONVIRT(TArrayI);
ROOT_TARRAYL_DECLARATIONVIRT(TArrayL);
ROOT_TARRAYL64_DECLARATIONVIRT(TArrayL64);
ROOT_TARRAYS_DECLARATIONVIRT(TH3S);
ROOT_TARRAYS_DECLARATIONVIRT(TH2S);
ROOT_TARRAYS_DECLARATIONVIRT(TH1S);
ROOT_TARRAYS_DECLARATIONVIRT(TArrayS);
ROOT_TARROW_DECLARATIONVIRT(TArrow);
ROOT_TATT3D_DECLARATIONVIRT(TH3S);
ROOT_TATT3D_DECLARATIONVIRT(TH3I);
ROOT_TATT3D_DECLARATIONVIRT(TH3F);
ROOT_TATT3D_DECLARATIONVIRT(TH3D);
ROOT_TATT3D_DECLARATIONVIRT(TH3C);
ROOT_TATT3D_DECLARATIONVIRT(TH3);
ROOT_TATT3D_DECLARATIONVIRT(TXTRU);
ROOT_TATT3D_DECLARATIONVIRT(TSPHE);
ROOT_TATT3D_DECLARATIONVIRT(TPCON);
ROOT_TATT3D_DECLARATIONVIRT(TTUBE);
ROOT_TATT3D_DECLARATIONVIRT(TBRIK);
ROOT_TATT3D_DECLARATIONVIRT(TShape);
ROOT_TATT3D_DECLARATIONVIRT(TAtt3D);
ROOT_TATTAXIS_DECLARATIONVIRT(TAxis);
ROOT_TATTAXIS_DECLARATIONVIRT(TAttAxis);
ROOT_TATTBBOX_DECLARATIONVIRT(TAttBBox);
ROOT_TATTCANVAS_DECLARATIONVIRT(TAttCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TSlider);
ROOT_TATTFILL_DECLARATIONVIRT(TEvePad);
ROOT_TATTFILL_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TGroupButton);
ROOT_TATTFILL_DECLARATIONVIRT(TButton);
ROOT_TATTFILL_DECLARATIONVIRT(TPad);
ROOT_TATTFILL_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTFILL_DECLARATIONVIRT(TH3S);
ROOT_TATTFILL_DECLARATIONVIRT(TH3I);
ROOT_TATTFILL_DECLARATIONVIRT(TH3F);
ROOT_TATTFILL_DECLARATIONVIRT(TH3D);
ROOT_TATTFILL_DECLARATIONVIRT(TH3C);
ROOT_TATTFILL_DECLARATIONVIRT(TH2S);
ROOT_TATTFILL_DECLARATIONVIRT(TH2Poly);
ROOT_TATTFILL_DECLARATIONVIRT(TH2I);
ROOT_TATTFILL_DECLARATIONVIRT(TH2F);
ROOT_TATTFILL_DECLARATIONVIRT(TH2D);
ROOT_TATTFILL_DECLARATIONVIRT(TH2C);
ROOT_TATTFILL_DECLARATIONVIRT(TH1S);
ROOT_TATTFILL_DECLARATIONVIRT(TH1I);
ROOT_TATTFILL_DECLARATIONVIRT(TH1F);
ROOT_TATTFILL_DECLARATIONVIRT(TH1D);
ROOT_TATTFILL_DECLARATIONVIRT(TH1C);
ROOT_TATTFILL_DECLARATIONVIRT(TH3);
ROOT_TATTFILL_DECLARATIONVIRT(TH2);
ROOT_TATTFILL_DECLARATIONVIRT(TH1);
ROOT_TATTFILL_DECLARATIONVIRT(TBranch);
ROOT_TATTFILL_DECLARATIONVIRT(TEfficiency);
ROOT_TATTFILL_DECLARATIONVIRT(TCurlyArc);
ROOT_TATTFILL_DECLARATIONVIRT(TCurlyLine);
ROOT_TATTFILL_DECLARATIONVIRT(TPolyLine);
ROOT_TATTFILL_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTFILL_DECLARATIONVIRT(TNtupleD);
ROOT_TATTFILL_DECLARATIONVIRT(TNtuple);
ROOT_TATTFILL_DECLARATIONVIRT(TChain);
ROOT_TATTFILL_DECLARATIONVIRT(TTree);
ROOT_TATTFILL_DECLARATIONVIRT(TSliderBox);
ROOT_TATTFILL_DECLARATIONVIRT(TFrame);
ROOT_TATTFILL_DECLARATIONVIRT(TWbox);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveClass);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTFILL_DECLARATIONVIRT(TLegend);
ROOT_TATTFILL_DECLARATIONVIRT(TPavesText);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveStats);
ROOT_TATTFILL_DECLARATIONVIRT(TDiamond);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveText);
ROOT_TATTFILL_DECLARATIONVIRT(TPave);
ROOT_TATTFILL_DECLARATIONVIRT(TBox);
ROOT_TATTFILL_DECLARATIONVIRT(TXTRU);
ROOT_TATTFILL_DECLARATIONVIRT(TSPHE);
ROOT_TATTFILL_DECLARATIONVIRT(TPCON);
ROOT_TATTFILL_DECLARATIONVIRT(TTUBE);
ROOT_TATTFILL_DECLARATIONVIRT(TBRIK);
ROOT_TATTFILL_DECLARATIONVIRT(TShape);
ROOT_TATTFILL_DECLARATIONVIRT(TArrow);
ROOT_TATTFILL_DECLARATIONVIRT(TCrown);
ROOT_TATTFILL_DECLARATIONVIRT(TArc);
ROOT_TATTFILL_DECLARATIONVIRT(TEllipse);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TCutG);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TGraph);
ROOT_TATTFILL_DECLARATIONVIRT(TF1);
ROOT_TATTFILL_DECLARATIONVIRT(TAttFill);
ROOT_TATTIMAGE_DECLARATIONVIRT(TAttImage);
ROOT_TATTLINE_DECLARATIONVIRT(TSlider);
ROOT_TATTLINE_DECLARATIONVIRT(TEvePad);
ROOT_TATTLINE_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TGroupButton);
ROOT_TATTLINE_DECLARATIONVIRT(TButton);
ROOT_TATTLINE_DECLARATIONVIRT(TPad);
ROOT_TATTLINE_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTLINE_DECLARATIONVIRT(TH3S);
ROOT_TATTLINE_DECLARATIONVIRT(TH3I);
ROOT_TATTLINE_DECLARATIONVIRT(TH3F);
ROOT_TATTLINE_DECLARATIONVIRT(TH3D);
ROOT_TATTLINE_DECLARATIONVIRT(TH3C);
ROOT_TATTLINE_DECLARATIONVIRT(TH2S);
ROOT_TATTLINE_DECLARATIONVIRT(TH2Poly);
ROOT_TATTLINE_DECLARATIONVIRT(TH2I);
ROOT_TATTLINE_DECLARATIONVIRT(TH2F);
ROOT_TATTLINE_DECLARATIONVIRT(TH2D);
ROOT_TATTLINE_DECLARATIONVIRT(TH2C);
ROOT_TATTLINE_DECLARATIONVIRT(TH1S);
ROOT_TATTLINE_DECLARATIONVIRT(TH1I);
ROOT_TATTLINE_DECLARATIONVIRT(TH1F);
ROOT_TATTLINE_DECLARATIONVIRT(TH1D);
ROOT_TATTLINE_DECLARATIONVIRT(TH1C);
ROOT_TATTLINE_DECLARATIONVIRT(TH3);
ROOT_TATTLINE_DECLARATIONVIRT(TH2);
ROOT_TATTLINE_DECLARATIONVIRT(TH1);
ROOT_TATTLINE_DECLARATIONVIRT(TLatex);
ROOT_TATTLINE_DECLARATIONVIRT(TEfficiency);
ROOT_TATTLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TATTLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TATTLINE_DECLARATIONVIRT(TPolyLine);
ROOT_TATTLINE_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTLINE_DECLARATIONVIRT(TNtupleD);
ROOT_TATTLINE_DECLARATIONVIRT(TNtuple);
ROOT_TATTLINE_DECLARATIONVIRT(TChain);
ROOT_TATTLINE_DECLARATIONVIRT(TTree);
ROOT_TATTLINE_DECLARATIONVIRT(TSliderBox);
ROOT_TATTLINE_DECLARATIONVIRT(TFrame);
ROOT_TATTLINE_DECLARATIONVIRT(TWbox);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveClass);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTLINE_DECLARATIONVIRT(TLegend);
ROOT_TATTLINE_DECLARATIONVIRT(TPavesText);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveStats);
ROOT_TATTLINE_DECLARATIONVIRT(TDiamond);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveText);
ROOT_TATTLINE_DECLARATIONVIRT(TPave);
ROOT_TATTLINE_DECLARATIONVIRT(TBox);
ROOT_TATTLINE_DECLARATIONVIRT(TXTRU);
ROOT_TATTLINE_DECLARATIONVIRT(TSPHE);
ROOT_TATTLINE_DECLARATIONVIRT(TPCON);
ROOT_TATTLINE_DECLARATIONVIRT(TTUBE);
ROOT_TATTLINE_DECLARATIONVIRT(TBRIK);
ROOT_TATTLINE_DECLARATIONVIRT(TShape);
ROOT_TATTLINE_DECLARATIONVIRT(TGaxis);
ROOT_TATTLINE_DECLARATIONVIRT(TArrow);
ROOT_TATTLINE_DECLARATIONVIRT(TLine);
ROOT_TATTLINE_DECLARATIONVIRT(TCrown);
ROOT_TATTLINE_DECLARATIONVIRT(TArc);
ROOT_TATTLINE_DECLARATIONVIRT(TEllipse);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TCutG);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TGraph);
ROOT_TATTLINE_DECLARATIONVIRT(TF1);
ROOT_TATTLINE_DECLARATIONVIRT(TAttLine);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2Poly);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1);
ROOT_TATTMARKER_DECLARATIONVIRT(TEfficiency);
ROOT_TATTMARKER_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTMARKER_DECLARATIONVIRT(TNtupleD);
ROOT_TATTMARKER_DECLARATIONVIRT(TNtuple);
ROOT_TATTMARKER_DECLARATIONVIRT(TChain);
ROOT_TATTMARKER_DECLARATIONVIRT(TTree);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TCutG);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraph);
ROOT_TATTMARKER_DECLARATIONVIRT(TAttMarker);
ROOT_TATTPAD_DECLARATIONVIRT(TSlider);
ROOT_TATTPAD_DECLARATIONVIRT(TEvePad);
ROOT_TATTPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TATTPAD_DECLARATIONVIRT(TButton);
ROOT_TATTPAD_DECLARATIONVIRT(TPad);
ROOT_TATTPAD_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTPAD_DECLARATIONVIRT(TAttPad);
ROOT_TATTPARTICLE_DECLARATIONVIRT(TAttParticle);
ROOT_TATTTEXT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTTEXT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTTEXT_DECLARATIONVIRT(TGroupButton);
ROOT_TATTTEXT_DECLARATIONVIRT(TButton);
ROOT_TATTTEXT_DECLARATIONVIRT(TText);
ROOT_TATTTEXT_DECLARATIONVIRT(TLatex);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveClass);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTTEXT_DECLARATIONVIRT(TLegend);
ROOT_TATTTEXT_DECLARATIONVIRT(TPavesText);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveStats);
ROOT_TATTTEXT_DECLARATIONVIRT(TDiamond);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveText);
ROOT_TATTTEXT_DECLARATIONVIRT(TGaxis);
ROOT_TATTTEXT_DECLARATIONVIRT(TAttText);
ROOT_TAXIS_DECLARATIONVIRT(TAxis);
ROOT_TBRIK_DECLARATIONVIRT(TBRIK);
ROOT_TBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TBOX_DECLARATIONVIRT(TFrame);
ROOT_TBOX_DECLARATIONVIRT(TWbox);
ROOT_TBOX_DECLARATIONVIRT(TPaveClass);
ROOT_TBOX_DECLARATIONVIRT(TPaveLabel);
ROOT_TBOX_DECLARATIONVIRT(TLegend);
ROOT_TBOX_DECLARATIONVIRT(TPavesText);
ROOT_TBOX_DECLARATIONVIRT(TPaveStats);
ROOT_TBOX_DECLARATIONVIRT(TDiamond);
ROOT_TBOX_DECLARATIONVIRT(TPaveText);
ROOT_TBOX_DECLARATIONVIRT(TPave);
ROOT_TBOX_DECLARATIONVIRT(TBox);
ROOT_TBRANCH_DECLARATIONVIRT(TBranch);
ROOT_TBUTTON_DECLARATIONVIRT(TGroupButton);
ROOT_TBUTTON_DECLARATIONVIRT(TButton);
ROOT_TCANVAS_DECLARATIONVIRT(TInspectCanvas);
ROOT_TCANVAS_DECLARATIONVIRT(TDialogCanvas);
ROOT_TCANVAS_DECLARATIONVIRT(TCanvas);
ROOT_TCHAIN_DECLARATIONVIRT(TChain);
ROOT_TCROWN_DECLARATIONVIRT(TCrown);
ROOT_TCURLYARC_DECLARATIONVIRT(TCurlyArc);
ROOT_TCURLYLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TCURLYLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TCUTG_DECLARATIONVIRT(TCutG);
ROOT_TDIALOGCANVAS_DECLARATIONVIRT(TDialogCanvas);
ROOT_TDIAMOND_DECLARATIONVIRT(TDiamond);
ROOT_TDIRECTORY_DECLARATIONVIRT(TFile);
ROOT_TDIRECTORY_DECLARATIONVIRT(TDirectoryFile);
ROOT_TDIRECTORY_DECLARATIONVIRT(TDirectory);
ROOT_TDIRECTORYFILE_DECLARATIONVIRT(TFile);
ROOT_TDIRECTORYFILE_DECLARATIONVIRT(TDirectoryFile);
ROOT_TEFFICIENCY_DECLARATIONVIRT(TEfficiency);
ROOT_TELLIPSE_DECLARATIONVIRT(TCrown);
ROOT_TELLIPSE_DECLARATIONVIRT(TArc);
ROOT_TELLIPSE_DECLARATIONVIRT(TEllipse);
ROOT_TEVEPAD_DECLARATIONVIRT(TEvePad);
ROOT_TF1_DECLARATIONVIRT(TF1);
ROOT_TFILE_DECLARATIONVIRT(TFile);
ROOT_TFORMULA_DECLARATIONVIRT(TF1);
ROOT_TFORMULA_DECLARATIONVIRT(TFormula);
ROOT_TFRAME_DECLARATIONVIRT(TFrame);
ROOT_TGAXIS_DECLARATIONVIRT(TGaxis);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphQQ);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TCutG);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TGraph);
ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TGRAPHERRORS_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPHERRORS_DECLARATIONVIRT(TGraphErrors);
ROOT_TGRAPHPOLAR_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPHQQ_DECLARATIONVIRT(TGraphQQ);
ROOT_TGROUPBUTTON_DECLARATIONVIRT(TGroupButton);
ROOT_TH1_DECLARATIONVIRT(TH3S);
ROOT_TH1_DECLARATIONVIRT(TH3I);
ROOT_TH1_DECLARATIONVIRT(TH3F);
ROOT_TH1_DECLARATIONVIRT(TH3D);
ROOT_TH1_DECLARATIONVIRT(TH3C);
ROOT_TH1_DECLARATIONVIRT(TH2S);
ROOT_TH1_DECLARATIONVIRT(TH2Poly);
ROOT_TH1_DECLARATIONVIRT(TH2I);
ROOT_TH1_DECLARATIONVIRT(TH2F);
ROOT_TH1_DECLARATIONVIRT(TH2D);
ROOT_TH1_DECLARATIONVIRT(TH2C);
ROOT_TH1_DECLARATIONVIRT(TH1S);
ROOT_TH1_DECLARATIONVIRT(TH1I);
ROOT_TH1_DECLARATIONVIRT(TH1F);
ROOT_TH1_DECLARATIONVIRT(TH1D);
ROOT_TH1_DECLARATIONVIRT(TH1C);
ROOT_TH1_DECLARATIONVIRT(TH3);
ROOT_TH1_DECLARATIONVIRT(TH2);
ROOT_TH1_DECLARATIONVIRT(TH1);
ROOT_TH1C_DECLARATIONVIRT(TH1C);
ROOT_TH1D_DECLARATIONVIRT(TH1D);
ROOT_TH1F_DECLARATIONVIRT(TH1F);
ROOT_TH1I_DECLARATIONVIRT(TH1I);
ROOT_TH1S_DECLARATIONVIRT(TH1S);
ROOT_TH2_DECLARATIONVIRT(TH2S);
ROOT_TH2_DECLARATIONVIRT(TH2Poly);
ROOT_TH2_DECLARATIONVIRT(TH2I);
ROOT_TH2_DECLARATIONVIRT(TH2F);
ROOT_TH2_DECLARATIONVIRT(TH2D);
ROOT_TH2_DECLARATIONVIRT(TH2C);
ROOT_TH2_DECLARATIONVIRT(TH2);
ROOT_TH2C_DECLARATIONVIRT(TH2C);
ROOT_TH2D_DECLARATIONVIRT(TH2D);
ROOT_TH2F_DECLARATIONVIRT(TH2F);
ROOT_TH2I_DECLARATIONVIRT(TH2I);
ROOT_TH2POLY_DECLARATIONVIRT(TH2Poly);
ROOT_TH2S_DECLARATIONVIRT(TH2S);
ROOT_TH3_DECLARATIONVIRT(TH3S);
ROOT_TH3_DECLARATIONVIRT(TH3I);
ROOT_TH3_DECLARATIONVIRT(TH3F);
ROOT_TH3_DECLARATIONVIRT(TH3D);
ROOT_TH3_DECLARATIONVIRT(TH3C);
ROOT_TH3_DECLARATIONVIRT(TH3);
ROOT_TH3C_DECLARATIONVIRT(TH3C);
ROOT_TH3D_DECLARATIONVIRT(TH3D);
ROOT_TH3F_DECLARATIONVIRT(TH3F);
ROOT_TH3I_DECLARATIONVIRT(TH3I);
ROOT_TH3S_DECLARATIONVIRT(TH3S);
ROOT_THSTACK_DECLARATIONVIRT(THStack);
ROOT_TINSPECTCANVAS_DECLARATIONVIRT(TInspectCanvas);
ROOT_TLATEX_DECLARATIONVIRT(TLatex);
ROOT_TLEGEND_DECLARATIONVIRT(TLegend);
ROOT_TLINE_DECLARATIONVIRT(TGaxis);
ROOT_TLINE_DECLARATIONVIRT(TArrow);
ROOT_TLINE_DECLARATIONVIRT(TLine);
ROOT_TNAMED_DECLARATIONVIRT(TH3S);
ROOT_TNAMED_DECLARATIONVIRT(TH3I);
ROOT_TNAMED_DECLARATIONVIRT(TH3F);
ROOT_TNAMED_DECLARATIONVIRT(TH3D);
ROOT_TNAMED_DECLARATIONVIRT(TH3C);
ROOT_TNAMED_DECLARATIONVIRT(TH2S);
ROOT_TNAMED_DECLARATIONVIRT(TH2Poly);
ROOT_TNAMED_DECLARATIONVIRT(TH2I);
ROOT_TNAMED_DECLARATIONVIRT(TH2F);
ROOT_TNAMED_DECLARATIONVIRT(TH2D);
ROOT_TNAMED_DECLARATIONVIRT(TH2C);
ROOT_TNAMED_DECLARATIONVIRT(TH1S);
ROOT_TNAMED_DECLARATIONVIRT(TH1I);
ROOT_TNAMED_DECLARATIONVIRT(TH1F);
ROOT_TNAMED_DECLARATIONVIRT(TH1D);
ROOT_TNAMED_DECLARATIONVIRT(TH1C);
ROOT_TNAMED_DECLARATIONVIRT(TH3);
ROOT_TNAMED_DECLARATIONVIRT(TH2);
ROOT_TNAMED_DECLARATIONVIRT(TH1);
ROOT_TNAMED_DECLARATIONVIRT(TBranch);
ROOT_TNAMED_DECLARATIONVIRT(TFile);
ROOT_TNAMED_DECLARATIONVIRT(TDirectoryFile);
ROOT_TNAMED_DECLARATIONVIRT(TDirectory);
ROOT_TNAMED_DECLARATIONVIRT(TText);
ROOT_TNAMED_DECLARATIONVIRT(TLatex);
ROOT_TNAMED_DECLARATIONVIRT(TAxis);
ROOT_TNAMED_DECLARATIONVIRT(TEfficiency);
ROOT_TNAMED_DECLARATIONVIRT(TTreeSQL);
ROOT_TNAMED_DECLARATIONVIRT(TNtupleD);
ROOT_TNAMED_DECLARATIONVIRT(TNtuple);
ROOT_TNAMED_DECLARATIONVIRT(TChain);
ROOT_TNAMED_DECLARATIONVIRT(TTree);
ROOT_TNAMED_DECLARATIONVIRT(TXTRU);
ROOT_TNAMED_DECLARATIONVIRT(TSPHE);
ROOT_TNAMED_DECLARATIONVIRT(TPCON);
ROOT_TNAMED_DECLARATIONVIRT(TTUBE);
ROOT_TNAMED_DECLARATIONVIRT(TBRIK);
ROOT_TNAMED_DECLARATIONVIRT(TShape);
ROOT_TNAMED_DECLARATIONVIRT(TGraphQQ);
ROOT_TNAMED_DECLARATIONVIRT(TGraphPolar);
ROOT_TNAMED_DECLARATIONVIRT(TGraphErrors);
ROOT_TNAMED_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TNAMED_DECLARATIONVIRT(TCutG);
ROOT_TNAMED_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TNAMED_DECLARATIONVIRT(TGraph);
ROOT_TNAMED_DECLARATIONVIRT(THStack);
ROOT_TNAMED_DECLARATIONVIRT(TAttParticle);
ROOT_TNAMED_DECLARATIONVIRT(TNamed);
ROOT_TNTUPLE_DECLARATIONVIRT(TNtuple);
ROOT_TNTUPLED_DECLARATIONVIRT(TNtupleD);
ROOT_TOBJECT_DECLARATIONVIRT(TRint);
ROOT_TOBJECT_DECLARATIONVIRT(TApplication);
ROOT_TOBJECT_DECLARATIONVIRT(TSlider);
ROOT_TOBJECT_DECLARATIONVIRT(TEvePad);
ROOT_TOBJECT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TGroupButton);
ROOT_TOBJECT_DECLARATIONVIRT(TButton);
ROOT_TOBJECT_DECLARATIONVIRT(TPad);
ROOT_TOBJECT_DECLARATIONVIRT(TVirtualPad);
ROOT_TOBJECT_DECLARATIONVIRT(TH3S);
ROOT_TOBJECT_DECLARATIONVIRT(TH3I);
ROOT_TOBJECT_DECLARATIONVIRT(TH3F);
ROOT_TOBJECT_DECLARATIONVIRT(TH3D);
ROOT_TOBJECT_DECLARATIONVIRT(TH3C);
ROOT_TOBJECT_DECLARATIONVIRT(TH2S);
ROOT_TOBJECT_DECLARATIONVIRT(TH2Poly);
ROOT_TOBJECT_DECLARATIONVIRT(TH2I);
ROOT_TOBJECT_DECLARATIONVIRT(TH2F);
ROOT_TOBJECT_DECLARATIONVIRT(TH2D);
ROOT_TOBJECT_DECLARATIONVIRT(TH2C);
ROOT_TOBJECT_DECLARATIONVIRT(TH1S);
ROOT_TOBJECT_DECLARATIONVIRT(TH1I);
ROOT_TOBJECT_DECLARATIONVIRT(TH1F);
ROOT_TOBJECT_DECLARATIONVIRT(TH1D);
ROOT_TOBJECT_DECLARATIONVIRT(TH1C);
ROOT_TOBJECT_DECLARATIONVIRT(TH3);
ROOT_TOBJECT_DECLARATIONVIRT(TH2);
ROOT_TOBJECT_DECLARATIONVIRT(TH1);
ROOT_TOBJECT_DECLARATIONVIRT(TTreePlayer);
ROOT_TOBJECT_DECLARATIONVIRT(TVirtualTreePlayer);
ROOT_TOBJECT_DECLARATIONVIRT(TBranch);
ROOT_TOBJECT_DECLARATIONVIRT(TFile);
ROOT_TOBJECT_DECLARATIONVIRT(TDirectoryFile);
ROOT_TOBJECT_DECLARATIONVIRT(TDirectory);
ROOT_TOBJECT_DECLARATIONVIRT(TText);
ROOT_TOBJECT_DECLARATIONVIRT(TLatex);
ROOT_TOBJECT_DECLARATIONVIRT(TAxis);
ROOT_TOBJECT_DECLARATIONVIRT(TEfficiency);
ROOT_TOBJECT_DECLARATIONVIRT(TCurlyArc);
ROOT_TOBJECT_DECLARATIONVIRT(TCurlyLine);
ROOT_TOBJECT_DECLARATIONVIRT(TPolyLine);
ROOT_TOBJECT_DECLARATIONVIRT(TTreeSQL);
ROOT_TOBJECT_DECLARATIONVIRT(TNtupleD);
ROOT_TOBJECT_DECLARATIONVIRT(TNtuple);
ROOT_TOBJECT_DECLARATIONVIRT(TChain);
ROOT_TOBJECT_DECLARATIONVIRT(TTree);
ROOT_TOBJECT_DECLARATIONVIRT(TSliderBox);
ROOT_TOBJECT_DECLARATIONVIRT(TFrame);
ROOT_TOBJECT_DECLARATIONVIRT(TWbox);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveClass);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveLabel);
ROOT_TOBJECT_DECLARATIONVIRT(TLegend);
ROOT_TOBJECT_DECLARATIONVIRT(TPavesText);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveStats);
ROOT_TOBJECT_DECLARATIONVIRT(TDiamond);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveText);
ROOT_TOBJECT_DECLARATIONVIRT(TPave);
ROOT_TOBJECT_DECLARATIONVIRT(TBox);
ROOT_TOBJECT_DECLARATIONVIRT(TXTRU);
ROOT_TOBJECT_DECLARATIONVIRT(TSPHE);
ROOT_TOBJECT_DECLARATIONVIRT(TPCON);
ROOT_TOBJECT_DECLARATIONVIRT(TTUBE);
ROOT_TOBJECT_DECLARATIONVIRT(TBRIK);
ROOT_TOBJECT_DECLARATIONVIRT(TShape);
ROOT_TOBJECT_DECLARATIONVIRT(TGaxis);
ROOT_TOBJECT_DECLARATIONVIRT(TArrow);
ROOT_TOBJECT_DECLARATIONVIRT(TLine);
ROOT_TOBJECT_DECLARATIONVIRT(TCrown);
ROOT_TOBJECT_DECLARATIONVIRT(TArc);
ROOT_TOBJECT_DECLARATIONVIRT(TEllipse);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphQQ);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphPolar);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TCutG);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TGraph);
ROOT_TOBJECT_DECLARATIONVIRT(THStack);
ROOT_TOBJECT_DECLARATIONVIRT(TAttParticle);
ROOT_TOBJECT_DECLARATIONVIRT(TNamed);
ROOT_TOBJECT_DECLARATIONVIRT(TObject);
ROOT_TPCON_DECLARATIONVIRT(TPCON);
ROOT_TPAD_DECLARATIONVIRT(TSlider);
ROOT_TPAD_DECLARATIONVIRT(TEvePad);
ROOT_TPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TPAD_DECLARATIONVIRT(TCanvas);
ROOT_TPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TPAD_DECLARATIONVIRT(TButton);
ROOT_TPAD_DECLARATIONVIRT(TPad);
ROOT_TPAVE_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVE_DECLARATIONVIRT(TPaveLabel);
ROOT_TPAVE_DECLARATIONVIRT(TLegend);
ROOT_TPAVE_DECLARATIONVIRT(TPavesText);
ROOT_TPAVE_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVE_DECLARATIONVIRT(TDiamond);
ROOT_TPAVE_DECLARATIONVIRT(TPaveText);
ROOT_TPAVE_DECLARATIONVIRT(TPave);
ROOT_TPAVECLASS_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVELABEL_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVELABEL_DECLARATIONVIRT(TPaveLabel);
ROOT_TPAVESTATS_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPavesText);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVETEXT_DECLARATIONVIRT(TDiamond);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPaveText);
ROOT_TPAVESTEXT_DECLARATIONVIRT(TPavesText);
ROOT_TPOLYLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TPOLYLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TPOLYLINE_DECLARATIONVIRT(TPolyLine);
ROOT_TQOBJECT_DECLARATIONVIRT(TRint);
ROOT_TQOBJECT_DECLARATIONVIRT(TApplication);
ROOT_TQOBJECT_DECLARATIONVIRT(TSlider);
ROOT_TQOBJECT_DECLARATIONVIRT(TEvePad);
ROOT_TQOBJECT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TGroupButton);
ROOT_TQOBJECT_DECLARATIONVIRT(TButton);
ROOT_TQOBJECT_DECLARATIONVIRT(TPad);
ROOT_TQOBJECT_DECLARATIONVIRT(TVirtualPad);
ROOT_TQOBJECT_DECLARATIONVIRT(TQObject);
ROOT_TRINT_DECLARATIONVIRT(TRint);
ROOT_TSPHE_DECLARATIONVIRT(TSPHE);
ROOT_TSHAPE_DECLARATIONVIRT(TXTRU);
ROOT_TSHAPE_DECLARATIONVIRT(TSPHE);
ROOT_TSHAPE_DECLARATIONVIRT(TPCON);
ROOT_TSHAPE_DECLARATIONVIRT(TTUBE);
ROOT_TSHAPE_DECLARATIONVIRT(TBRIK);
ROOT_TSHAPE_DECLARATIONVIRT(TShape);
ROOT_TSLIDER_DECLARATIONVIRT(TSlider);
ROOT_TSLIDERBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TTUBE_DECLARATIONVIRT(TTUBE);
ROOT_TTEXT_DECLARATIONVIRT(TText);
ROOT_TTEXT_DECLARATIONVIRT(TLatex);
ROOT_TTREE_DECLARATIONVIRT(TTreeSQL);
ROOT_TTREE_DECLARATIONVIRT(TNtupleD);
ROOT_TTREE_DECLARATIONVIRT(TNtuple);
ROOT_TTREE_DECLARATIONVIRT(TChain);
ROOT_TTREE_DECLARATIONVIRT(TTree);
ROOT_TTREEPLAYER_DECLARATIONVIRT(TTreePlayer);
ROOT_TTREESQL_DECLARATIONVIRT(TTreeSQL);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TSlider);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TEvePad);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TButton);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TPad);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TVirtualPad);
ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(TTreePlayer);
ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(TVirtualTreePlayer);
ROOT_TWBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TWBOX_DECLARATIONVIRT(TFrame);
ROOT_TWBOX_DECLARATIONVIRT(TWbox);
ROOT_TXTRU_DECLARATIONVIRT(TXTRU);


ROOT_TOBJECT_DECLARATIONNONVIRT(TObject);

ROOT_TNAMED_DECLARATIONNONVIRT(TNamed);

ROOT_TFORMULA_DECLARATIONNONVIRT(TFormula);

ROOT_TATT3D_DECLARATIONNONVIRT(TAtt3D);

ROOT_TATTAXIS_DECLARATIONNONVIRT(TAttAxis);

ROOT_TATTBBOX_DECLARATIONNONVIRT(TAttBBox);

ROOT_TATTCANVAS_DECLARATIONNONVIRT(TAttCanvas);

ROOT_TATTFILL_DECLARATIONNONVIRT(TAttFill);

ROOT_TATTIMAGE_DECLARATIONNONVIRT(TAttImage);

ROOT_TATTLINE_DECLARATIONNONVIRT(TAttLine);

ROOT_TATTMARKER_DECLARATIONNONVIRT(TAttMarker);

ROOT_TATTPAD_DECLARATIONNONVIRT(TAttPad);

ROOT_TATTPARTICLE_DECLARATIONNONVIRT(TAttParticle);

ROOT_TATTTEXT_DECLARATIONNONVIRT(TAttText);

ROOT_THSTACK_DECLARATIONNONVIRT(THStack);

ROOT_TF1_DECLARATIONNONVIRT(TF1);

ROOT_TGRAPH_DECLARATIONNONVIRT(TGraph);

ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT(TGraphAsymmErrors);

ROOT_TCUTG_DECLARATIONNONVIRT(TCutG);

ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT(TGraphBentErrors);

ROOT_TGRAPHERRORS_DECLARATIONNONVIRT(TGraphErrors);

ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT(TGraphPolar);

ROOT_TGRAPHQQ_DECLARATIONNONVIRT(TGraphQQ);

ROOT_TELLIPSE_DECLARATIONNONVIRT(TEllipse);

ROOT_TARC_DECLARATIONNONVIRT(TArc);

ROOT_TCROWN_DECLARATIONNONVIRT(TCrown);

ROOT_TLINE_DECLARATIONNONVIRT(TLine);

ROOT_TARROW_DECLARATIONNONVIRT(TArrow);

ROOT_TGAXIS_DECLARATIONNONVIRT(TGaxis);

ROOT_TSHAPE_DECLARATIONNONVIRT(TShape);

ROOT_TBRIK_DECLARATIONNONVIRT(TBRIK);

ROOT_TTUBE_DECLARATIONNONVIRT(TTUBE);

ROOT_TPCON_DECLARATIONNONVIRT(TPCON);

ROOT_TSPHE_DECLARATIONNONVIRT(TSPHE);

ROOT_TXTRU_DECLARATIONNONVIRT(TXTRU);

ROOT_TBOX_DECLARATIONNONVIRT(TBox);

ROOT_TPAVE_DECLARATIONNONVIRT(TPave);

ROOT_TPAVETEXT_DECLARATIONNONVIRT(TPaveText);

ROOT_TDIAMOND_DECLARATIONNONVIRT(TDiamond);

ROOT_TPAVESTATS_DECLARATIONNONVIRT(TPaveStats);

ROOT_TPAVESTEXT_DECLARATIONNONVIRT(TPavesText);

ROOT_TLEGEND_DECLARATIONNONVIRT(TLegend);

ROOT_TPAVELABEL_DECLARATIONNONVIRT(TPaveLabel);

ROOT_TPAVECLASS_DECLARATIONNONVIRT(TPaveClass);

ROOT_TWBOX_DECLARATIONNONVIRT(TWbox);

ROOT_TFRAME_DECLARATIONNONVIRT(TFrame);

ROOT_TSLIDERBOX_DECLARATIONNONVIRT(TSliderBox);

ROOT_TTREE_DECLARATIONNONVIRT(TTree);

ROOT_TCHAIN_DECLARATIONNONVIRT(TChain);

ROOT_TNTUPLE_DECLARATIONNONVIRT(TNtuple);

ROOT_TNTUPLED_DECLARATIONNONVIRT(TNtupleD);

ROOT_TTREESQL_DECLARATIONNONVIRT(TTreeSQL);

ROOT_TPOLYLINE_DECLARATIONNONVIRT(TPolyLine);

ROOT_TCURLYLINE_DECLARATIONNONVIRT(TCurlyLine);

ROOT_TCURLYARC_DECLARATIONNONVIRT(TCurlyArc);

ROOT_TEFFICIENCY_DECLARATIONNONVIRT(TEfficiency);

ROOT_TAXIS_DECLARATIONNONVIRT(TAxis);

ROOT_TLATEX_DECLARATIONNONVIRT(TLatex);

ROOT_TTEXT_DECLARATIONNONVIRT(TText);

ROOT_TDIRECTORY_DECLARATIONNONVIRT(TDirectory);

ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT(TDirectoryFile);

ROOT_TFILE_DECLARATIONNONVIRT(TFile);

ROOT_TBRANCH_DECLARATIONNONVIRT(TBranch);

ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT(TVirtualTreePlayer);

ROOT_TTREEPLAYER_DECLARATIONNONVIRT(TTreePlayer);

ROOT_TARRAY_DECLARATIONNONVIRT(TArray);

ROOT_TARRAYC_DECLARATIONNONVIRT(TArrayC);

ROOT_TARRAYD_DECLARATIONNONVIRT(TArrayD);

ROOT_TARRAYF_DECLARATIONNONVIRT(TArrayF);

ROOT_TARRAYI_DECLARATIONNONVIRT(TArrayI);

ROOT_TARRAYL_DECLARATIONNONVIRT(TArrayL);

ROOT_TARRAYL64_DECLARATIONNONVIRT(TArrayL64);

ROOT_TARRAYS_DECLARATIONNONVIRT(TArrayS);

ROOT_TH1_DECLARATIONNONVIRT(TH1);

ROOT_TH2_DECLARATIONNONVIRT(TH2);

ROOT_TH3_DECLARATIONNONVIRT(TH3);

ROOT_TH1C_DECLARATIONNONVIRT(TH1C);

ROOT_TH1D_DECLARATIONNONVIRT(TH1D);

ROOT_TH1F_DECLARATIONNONVIRT(TH1F);

ROOT_TH1I_DECLARATIONNONVIRT(TH1I);

ROOT_TH1S_DECLARATIONNONVIRT(TH1S);

ROOT_TH2C_DECLARATIONNONVIRT(TH2C);

ROOT_TH2D_DECLARATIONNONVIRT(TH2D);

ROOT_TH2F_DECLARATIONNONVIRT(TH2F);

ROOT_TH2I_DECLARATIONNONVIRT(TH2I);

ROOT_TH2POLY_DECLARATIONNONVIRT(TH2Poly);

ROOT_TH2S_DECLARATIONNONVIRT(TH2S);

ROOT_TH3C_DECLARATIONNONVIRT(TH3C);

ROOT_TH3D_DECLARATIONNONVIRT(TH3D);

ROOT_TH3F_DECLARATIONNONVIRT(TH3F);

ROOT_TH3I_DECLARATIONNONVIRT(TH3I);

ROOT_TH3S_DECLARATIONNONVIRT(TH3S);

ROOT_TQOBJECT_DECLARATIONNONVIRT(TQObject);

ROOT_TVIRTUALPAD_DECLARATIONNONVIRT(TVirtualPad);

ROOT_TPAD_DECLARATIONNONVIRT(TPad);

ROOT_TBUTTON_DECLARATIONNONVIRT(TButton);

ROOT_TGROUPBUTTON_DECLARATIONNONVIRT(TGroupButton);

ROOT_TCANVAS_DECLARATIONNONVIRT(TCanvas);

ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT(TDialogCanvas);

ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT(TInspectCanvas);

ROOT_TEVEPAD_DECLARATIONNONVIRT(TEvePad);

ROOT_TSLIDER_DECLARATIONNONVIRT(TSlider);

ROOT_TAPPLICATION_DECLARATIONNONVIRT(TApplication);

ROOT_TRINT_DECLARATIONNONVIRT(TRint);


#ifdef __cplusplus
}
#endif
